{% extends 'utils/_form_layout.html' %}

{% from 'utils/_form_input.html' import form_builder %}
{% from 'utils/_form_button.html' import button %}

{% block content_title %}Update{% endblock %}

{% block link %}
    {{ super() }}
    <script src="{{ static('js/includes/utils.js') }}"></script>
    <script src="{{ static('js/password_tag/itemUpdate.js') }}"></script>
    <script src="{{ static('js/password_tag/itemCreate.js') }}"></script>
{% endblock %}

{% block before_form %}
<div class="is-flex justify-content-end">
    <a href="{{ url('shared_items') }}" id="go-back" class="button">
        <div class="flex is-align-items-center is-justify-content-center">
            <i class="fa-solid fa-arrow-left"></i>
            Back
        </div>
    </a>
</div>
{% endblock %}

{% block form_body %}
    {{ form_builder(form.user_to_username, {"user": request.user}) }}
{% endblock %}

{% block form_submit %}
    {{ button('success', 'Update') }}
{% endblock %}